﻿using Infragistics.Win;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PeekPopupButtonClickTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ContextMenu menu = new ContextMenu();
            menu.MenuItems.Add("Item 1");
            menu.MenuItems.Add("Item 2");
            menu.MenuItems.Add("Item 3");

            this.ContextMenu = menu;            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            ultraPeekPopup1.Show(button1, Infragistics.Win.Peek.PeekLocation.LeftOfItem);

            MethodInfo info = typeof(DropDownManager).GetMethod("GetManager", System.Reflection.BindingFlags.NonPublic | BindingFlags.Static);
            DropDownManager manager = info.Invoke(null, new object[] { button1 }) as DropDownManager;

            FieldInfo info2 = typeof(DropDownManager).GetField("eatMouseMessageOnAutoCloseup", BindingFlags.NonPublic | BindingFlags.Instance);
            info2.SetValue(manager, false);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Button Clicked!");
        }
    }
}
